"""
This ``urls.py`` is only used when running the tests via ``runtests.py``.
As you know, every app must be hooked into yout main ``urls.py`` so that
you can actually reach the app's views (provided it has any views, of course).

"""
from django.conf.urls.defaults import include, patterns, url
from django.contrib import admin
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.views.generic import TemplateView


admin.autodiscover()


urlpatterns = patterns(
    '',
    url(r'^faq/', include('frequently.urls')),
    url(r'^admin/', include(admin.site.urls)),
    url(r'^test/$', TemplateView.as_view(template_name=('tag_test.html'))),
    url(r'^', include('cms.urls')),
)

urlpatterns += staticfiles_urlpatterns()
